 Let the square's sides be of length $a$. The field at
the center is the vector sum of the fields that would have
been produced individually by the three charges. Each of
these individual fields is $kq/r^2$, where $r_1=a/\sqrt{2}$ for
the two charges $q_1$, and $r_2=a/2$ for $q_2$. Vector
addition can be done by adding components. Let $x$ be
horizontal and $y$ vertical. The $y$ components cancel by
symmetry. The sum of the $x$ components is
\begin{equation*}
		E_x	 =    \frac{kq_1}{r_1^2}\cos  45\degunit + \frac{kq_1}{r_1^2}\cos  45\degunit  - \frac{kq_2}{r_2^2} \qquad .
\end{equation*}
Substituting $\cos 45\degunit=1/\sqrt{2}$ and setting this whole
expression equal to zero, we find $q_2/q_1=1/\sqrt{2}$.



